/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "xchange", "index.html", [
    [ "Changelog", "md_CHANGELOG.html", [
      [ "Table of Contents", "index.html#autotoc_md7", null ],
      [ "Introduction", "index.html#autotoc_md9", null ],
      [ "Building", "index.html#autotoc_md11", null ],
      [ "Linking your application against xchange", "index.html#autotoc_md13", null ],
      [ "Structured data", "index.html#autotoc_md15", [
        [ "Basic data types", "index.html#autotoc_md16", [
          [ "Strings", "index.html#autotoc_md17", null ]
        ] ],
        [ "Scalars", "index.html#autotoc_md18", null ],
        [ "Arrays", "index.html#autotoc_md19", null ],
        [ "Creating structure", "index.html#autotoc_md20", null ],
        [ "Aggregate IDs", "index.html#autotoc_md21", null ],
        [ "Accessing substructures and elements", "index.html#autotoc_md22", [
          [ "Large structures", "index.html#autotoc_md23", null ],
          [ "Iterating over elements", "index.html#autotoc_md24", null ]
        ] ],
        [ "Sorting fields", "index.html#autotoc_md25", null ]
      ] ],
      [ "JSON parser and emitter", "index.html#autotoc_md27", [
        [ "JSON fragments", "index.html#autotoc_md28", null ],
        [ "Escaped string representations", "index.html#autotoc_md29", null ]
      ] ],
      [ "Error handling", "index.html#autotoc_md31", null ],
      [ "Debugging support", "index.html#autotoc_md33", null ],
      [ "Future plans", "index.html#autotoc_md34", null ],
      [ "[1.0.1] - 2025-07-01", "md_CHANGELOG.html#autotoc_md1", [
        [ "Fixed", "md_CHANGELOG.html#autotoc_md2", null ],
        [ "Added", "md_CHANGELOG.html#autotoc_md3", null ],
        [ "Changed", "md_CHANGELOG.html#autotoc_md4", null ]
      ] ],
      [ "[1.0.0] - 2025-03-31", "md_CHANGELOG.html#autotoc_md5", null ]
    ] ],
    [ "Contributing to the xchange library", "md_CONTRIBUTING.html", null ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Variables", "functions_vars.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"xjson_8c.html#a9f11227a58e797a4a335331d94c8e888"
];

var SYNCONMSG = 'click to disable panel synchronization';
var SYNCOFFMSG = 'click to enable panel synchronization';